let fs = require("fs")
let fileName = "order.tsx";
let path = "../store"
let storeName = "OrderStore"
let storeNames = "orderStore"
let config = "OrderConfig"

let str =`
import { makeObservable } from "mobx";
import BaseStore from "./baseStore";
import { UserDataType } from "@/model/userModel";
import { ${config} } from "@/service/config";

class ${storeName} extends BaseStore<UserDataType> {
    constructor() {
        super(${config})
        makeObservable(this, {})
    }
}
const ${storeNames} = new ${storeName}();
export default ${storeNames};
`

fs.writeFile(path + "/" + fileName, str, function (err) {
    console.log(err);
})