export const city = [
  {
    path: "/city",
    lazy: async () => ({
      Component: (await import("@/pages/city")).default,
    }),
    children: [
      {
        path: "/city/list",
        index: true,
        lazy: async () => ({
          Component: (await import("@/pages/city/list")).default,
        }),
      },
      {
        path: "/city/history",
        index: true,
        lazy: async () => ({
          Component: (await import("@/pages/city/history")).default,
        }),
      },
      {
        path: "/city/hum",
        index: true,
        lazy: async () => ({
          Component: (await import("@/pages/city/hum_intro")).default,
        }),
      },
      {
        path: "/city/food",
        index: true,
        lazy: async () => ({
          Component: (await import("@/pages/city/food")).default,
        }),
      },
    ],
  },
];
